# Uses of Interface
org.springframework.expression.IndexAccessor

Packages that use IndexAccessor
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.spel
SpEL's central implementation package.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of IndexAccessor in org.springframework.expression

Methods in org.springframework.expression that return types with arguments of type IndexAccessor
Modifier and Type
Method
Description
`default List<IndexAccessor>`
EvaluationContext.`getIndexAccessors()`
Return a list of index accessors that will be asked in turn to access or set an indexed value.

## Uses of IndexAccessor in org.springframework.expression.spel

Subinterfaces of IndexAccessor in org.springframework.expression.spel
Modifier and Type
Interface
Description
`interface`
`CompilableIndexAccessor`
A compilable `IndexAccessor` is able to generate bytecode that represents the operation for reading the index, facilitating compilation to bytecode of expressions that use the accessor.

## Uses of IndexAccessor in org.springframework.expression.spel.support

Classes in org.springframework.expression.spel.support that implement IndexAccessor
Modifier and Type
Class
Description
`class`
`ReflectiveIndexAccessor`
A flexible `IndexAccessor` that uses reflection to read from and optionally write to an indexed structure of a target object.
Methods in org.springframework.expression.spel.support that return types with arguments of type IndexAccessor
Modifier and Type
Method
Description
`List<IndexAccessor>`
SimpleEvaluationContext.`getIndexAccessors()`
Return the specified `IndexAccessor` delegates, if any.
`List<IndexAccessor>`
StandardEvaluationContext.`getIndexAccessors()`
Get the list of index accessors configured in this evaluation context.
Methods in org.springframework.expression.spel.support with parameters of type IndexAccessor
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`addIndexAccessor(IndexAccessor indexAccessor)`
Add the supplied index accessor to this evaluation context.
`boolean`
StandardEvaluationContext.`removeIndexAccessor(IndexAccessor indexAccessor)`
Remove the supplied index accessor from this evaluation context.
`SimpleEvaluationContext.Builder`
SimpleEvaluationContext.Builder.`withIndexAccessors(IndexAccessor... indexAccessors)`
Register the specified `IndexAccessor` delegates.
Method parameters in org.springframework.expression.spel.support with type arguments of type IndexAccessor
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`setIndexAccessors(List<IndexAccessor> indexAccessors)`
Set the list of index accessors to use in this evaluation context.